/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h(3)

NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h - Public interface for reading Discover configuration data.

SYNOPSIS

#include <discover/discover.h>

  Functions
void discover_conf_load (discover_error_t *status)
discover_bus_map_t * discover_conf_get_full_bus_map (discover_error_t *status)
discover_bus_map_t * discover_conf_get_bus_map (discover_bus_t bus, discover_error_t *status)
discover_bus_map_t * discover_conf_get_bus_map_by_name (char *name, discover_error_t *status)
void discover_conf_insert_url (char *url, discover_error_t *status)
void discover_conf_append_url (char *url, discover_error_t *status)
discover_xml_url_t * discover_conf_get_urls (discover_error_t *status)
void discover_conf_free (void)
char * discover_conf_get_bus_name (discover_bus_t bus)
char * discover_conf_get_filetype_name (discover_filetype_t filetype)
int discover_conf_name_to_bus (char *name, discover_error_t *status)

Detailed Description

Public interface for reading Discover configuration data. These routines are the public interface used to read the configuration data from the desired source. These interfaces are also used to alter the URLs searched for configuration data.

Definition in file discover-conf.h.

Author

Generated automatically by Doxygen for discover from the source code.